Subject: bug#56527: 28.1; Crash on macOS with magit

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 Jul 2022 15:34:54 +0300

> Date: Sun, 17 Jul 2022 21:25:54 +0100
> From: Alan Third <[email-masked]>
> Cc: Gerd Möllmann <[email-masked]>,
> 	Lars Ingebrigtsen <[email-masked]>, [email-masked],
> 	[email-masked]
> 
> On Sun, Jul 17, 2022 at 09:20:19PM +0300, Eli Zaretskii wrote:
> > > Date: Sun, 17 Jul 2022 19:36:23 +0200
> > > Cc: [email-masked]
> > > From: Gerd Möllmann <[email-masked]>
> > > 
> > > Anyway, I guess that is a good candidate for back porting to master, if 
> > > Eli and Lars agree.
> > 
> > Fine with me, but in addition to Lars, I'd like to hear from Alan as
> > well, regarding the safety of this for the release branch.
> 
> Hi Eli,
> 
> I've not been following Emacs development for some months now, and the
> NS port was already changing at a rate I couldn't keep track of before
> I resigned as NS maintainer. But with that caveat in place I'd say I
> don't see anything I'd consider worrying in the NS side of that code.

Thanks.  So if Lars is also in agreement, I will backport this.